{ mkDerivation, QuickCheck, aeson, base, binary-parser, bytestring
, bytestring-strict-builder, containers, criterion, lib, network-ip
, postgresql-libpq, quickcheck-instances, rerebase, scientific
, tasty, tasty-hunit, tasty-quickcheck, text, time, transformers
, unordered-containers, uuid, vector
}:
mkDerivation {
  pname = "postgresql-binary";
  version = "0.13.1";
  sha256 = "a2ce0f6302b9482835675f78b2051a95ffcc5c0d9e8c1b7ca670ea5ea5b61951";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson base binary-parser bytestring bytestring-strict-builder
    containers network-ip scientific text time transformers
    unordered-containers uuid vector
  ];
  testHaskellDepends = [
    aeson network-ip postgresql-libpq QuickCheck quickcheck-instances
    rerebase tasty tasty-hunit tasty-quickcheck
  ];
  benchmarkHaskellDepends = [ criterion rerebase ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/nikita-volkov/postgresql-binary";
  description = "Encoders and decoders for the PostgreSQL's binary format";
  license = lib.licenses.mit;
  broken = false;
}